All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.ipage
Class IMenuItemTag

    com.sas.taglib.servlet.tbeans.ipage.IMenuItemTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class IMenuItemTag

IMenuItemTag is the tag handler class for the sas:IMenuItem custom tag IMenuItemTag is invoked by the JSP page to evaluate the sas:IMenuItem custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, IMenuItem, to execute the methods.

If you need to extend or modify the functionality of the sas:IMenuItem custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:IMenuItem custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  `BaseIPage`, `IMenu`, `IMenuTag`, Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.BaseTag
`APPLICATION, PAGE, REQUEST, SESSION`

Constructor Summary
`IMenuItemTag()`

Method Summary
`int` | `doEndTag()` Process the end tag.
`int` | `doStartTag()` Process the start tag for this instance.
`java.lang.String` | `getDescription()` Gets the description property (String).
`java.lang.String` | `getURL()` Gets the URL property (String).
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`void` | `setDescription(java.lang.String description)` Sets the description property (String).
`void` | `setURL(java.lang.String URL)` Sets the URL property (String).

Methods inherited from class com.sas.taglib.BaseTag
`applyAttributes, convertScope, doCatch, doFinally, getApplyAttributes, getComponentFromParentComposite, getCompositeComponentKey, getInstantiate, getLocale, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setComponentOnParentComposite, setCompositeComponentKey, setInstantiate, setLocale, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### IMenuItemTag

    public IMenuItemTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setURL

    public void setURL(java.lang.String URL)

  Sets the URL property (String). The URL String is used to set the URL of the Menu item.

  Parameters:
    `URL` - the URL String

### getURL

    public java.lang.String getURL()

  Gets the URL property (String).

  Returns:
    the URL String

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description property (String). The description String is used to set the description of the Menu item.

  Parameters:
    `description` - the description String

### getDescription

    public java.lang.String getDescription()

  Gets the description property (String).

  Returns:
    the description String

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `BaseTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end tag. This method will be called on all Tag objects.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.